Subject: Re: Bug: MacOS client cannot connect if the Mac username contains a space

From: Steven Ufkes <[email-masked]>
Date: Tue, 16 Nov 2021 20:08:20 +0000

Package: X2Go Client
Version: v. 4.1.2.2 (Qt - 4.8.7)

I'm trying to use your MacOS client. My Mac username is "steven ufkes" (it contains a space). When I attempt start a session, I get this error:
Loop: PANIC! Can't open options file '/Users/steven'.
Error is 2 'No such file or directory'.

I suspect the program is attempting to open an options file inside my home directory, /Users/steven ufkes/​, but doesn't parse the path correctly. I don't see any way to get around this in the X2Go options.

Thanks,
Steve
________________________________
From: Steven Ufkes
Sent: November 16, 2021 2:47 PM
To: [email-masked] <[email-masked]>
Subject: Bug: MacOS client cannot connect if the Mac username contains a space

Hi,

I'm trying to use your MacOS client. My Mac username is "steven ufkes" (it contains a space). When I attempt start a session, I get this error (screenshot below):
Loop: PANIC! Can't open options file '/Users/steven'.
Error is 2 'No such file or directory'.

I suspect the program is attempting to open an options file inside my home directory, /Users/steven ufkes/​, but doesn't parse the path correctly.
Thanks,
Steve

________________________________

This e-mail may contain confidential, personal and/or health information(information which may be subject to legal restrictions on use, retention and/or disclosure) for the sole use of the intended recipient. Any review or distribution by anyone other than the person for whom it was originally intended is strictly prohibited. If you have received this e-mail in error, please contact the sender and delete all copies.